import requests

class ResilioClient:
    def __init__(self, base_url, api_key):
        self.base_url = base_url
        self.api_key = api_key

    def get_folders(self):
        url = f"{self.base_url}/folders"
        headers = {"x-api-key": self.api_key}
        response = requests.get(url, headers=headers)
        return response.json()

    def create_folder(self, name, path):
        url = f"{self.base_url}/folders"
        headers = {"x-api-key": self.api_key}
        data = {"name": name, "path": path}
        response = requests.post(url, headers=headers, json=data)
        return response.json()

    def delete_folder(self, folder_id):
        url = f"{self.base_url}/folders/{folder_id}"
        headers = {"x-api-key": self.api_key}
        response = requests.delete(url, headers=headers)
        return response.json()
